import request from '@/utils/request'

// 查询设备管理列表
export function listEquipmentManage(query) {
  return request({
    url: '/system/equipmentManage/list',
    method: 'get',
    params: query
  })
}

// 查询设备管理详细
export function getEquipmentManage(equipmentId) {
  return request({
    url: '/system/equipmentManage/' + equipmentId,
    method: 'get'
  })
}

// 新增设备管理
export function addEquipmentManage(data) {
  return request({
    url: '/system/equipmentManage',
    method: 'post',
    data: data
  })
}

// 修改设备管理
export function updateEquipmentManage(data) {
  return request({
    url: '/system/equipmentManage/put',
    method: 'post',
    data: data
  })
}

// 删除设备管理
export function delEquipmentManage(equipmentId) {
  return request({
    url: '/system/equipmentManage/delete/' + equipmentId,
    method: 'get'
  })
}
